[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

newest bash (2.05-b4) and apparent libtool bug

I filed a bug report against libtool this morning, but I have just discovered that the problem only shows up with the latest bash in sid. At least one problem is that libtoolize fails and says

running libtoolize --force
libtoolize: too many arguments
Try `libtoolize --help' for more information.

I locally modified a for loop in the /usr/bin/libtoolize shell script in order to work around the problem (and I included the diff in my bug report), but other problems with libtool prompted me to investigate using the testing and stable versions. Because these showed the same problem, I started to suspect bash. Downgrading to bash in testing solved the problem.

Thomas E. Vaughan   (303) 939-6386   Ball Aerospace, Boulder
   Ball-internal home page: <http://hypostasis/~tevaugha>

Reply to: